- entityDefinitions:
  - IDM_Product__get__Product_Code: '{16545be0-2db5-4323-9fd3-aad83e001961}'
  - IDMB_Product__get__Product_Code: '{2b1bbe3c-96c2-4698-83ab-14631b1f95cb}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - getAttributeMethod: '&IDM_Product__get__Product_Code;'
    forClassId: '&IDC_Product;'
    verb: 'get'
    name: 'Product Code'
    accessModifierId: '&IDI_AccessModifier_Public;'
    returnsAttributeId: '&IDA_ProductCode;'
    
  - returnAttributeMethodBinding: '&IDMB_Product__get__Product_Code;'
    executesMethod: '&IDM_Product__get__Product_Code;'
